29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
DNS automation
v1.6.2
Download OpenAPI
Create DNS record
Create a new DNS record and automatically detect the zone based on the fqdn specified in the name parameter.
POST
/dns/rr
ResourceRecords

Authentication

x-api-keyapplication/json

Request body

application/jsonRequired
Data object for the record
recordRequestFQDN
recordRequestFQDN
{
  "type": "A",
  "name": "api.example.com.",
  "data": "203.0.113.10",
  "ttl": 300
}

Fields

Name
Type
Format
Required
Description
type
A
string
-
Required
-
name
string
-
Required
Fully Qualified Domain Name (FQDN, ending with a period).
ttl
integer
-
Optional
Time To Live (60-604800)
annotation
string
-
Optional
A custom note for this particular record.
data
string
-
Required
-

Request example

POST
curl --request POST \
  --url 'https://api.regfish.com/dns/rr' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "type": "A",
  "name": "api.example.com.",
  "data": "203.0.113.10",
  "ttl": 300
}'

Responses

200
The record created, with its new ID
application/jsonrecordResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "type": "A",
    "name": "www.example.com.",
    "data": "12.12.12.12",
    "id": 1,
    "auto": true,
    "active": true,
    "ts_created": 1,
    "ts_updated": 1
  }
}
400
Invalid request
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
No matching DNS zone found
application/jsonError
Response example 404
{
  "success": false,
  "message": "No matching DNS zone found",
  "error": "No matching DNS zone found"
}
417
DNS record creation violates a zone constraint
application/jsonError
Response example 417
{
  "success": false,
  "message": "DNS record creation violates a zone constraint",
  "error": "DNS record creation violates a zone constraint"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Devenez membre de la communauté

L'API DNS Regfish est une excellente solution pour les développeurs qui souhaitent automatiser les domaines et les zones DNS. Faites partie de la communauté et bénéficiez de l'automatisation DNS. L'API DNS est disponible gratuitement pour chaque client Regfish.